package com.ynet.life.controller;

import com.ynet.life.base.TEntity;
import java.net.InetAddress;
import java.net.UnknownHostException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/LifeClientRequest.class */
public class LifeClientRequest {
    public static String getClientIP(HttpServletRequest request) {
        String header = request.getHeader("entrust-client-ip");
        String ip = header;
        if (header == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            Cookie[] cookies = request.getCookies();
            Cookie[] cookies2 = cookies;
            if (cookies == null) {
                cookies2 = new Cookie[0];
            }
            for (Cookie cookie : cookies2) {
                if ("KOAL_CLIENT_IP".equals(cookie.getName())) {
                    ip = cookie.getValue();
                }
            }
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("x-forwarded-for");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            String remoteAddr = request.getRemoteAddr();
            ip = remoteAddr;
            if (remoteAddr.equals("127.0.0.1")) {
                InetAddress inet = null;
                try {
                    inet = InetAddress.getLocalHost();
                } catch (UnknownHostException unused) {
                }
                if (inet != null) {
                    ip = inet.getHostAddress();
                }
            }
        }
        if (ip.indexOf(",") > 0) {
            ip = ip.substring(0, ip.indexOf(",")).trim();
        }
        return ip;
    }

    public static String getClientMAC(HttpServletRequest request) {
        String mac = "";
        String[] ipMac = getIpMAC(request);
        if (ipMac != null) {
            try {
                mac = ipMac[0];
            } catch (Exception unused) {
                mac = "";
            }
        }
        return mac;
    }

    public static String[] getIpMAC(HttpServletRequest request) {
        return null;
    }

    public static String getRequestAgent(HttpServletRequest request) {
        return request.getHeader("user-agent");
    }

    public static String getRequestWindowsType(HttpServletRequest request) {
        String windowsType = "";
        try {
            windowsType = request.getParameter("windowsType");
        } catch (Exception unused) {
        }
        return windowsType;
    }

    public static String getRequestLanguage(HttpServletRequest request) {
        String language;
        try {
            language = request.getParameter(TEntity.language);
        } catch (Exception unused) {
            language = "ZH_CN";
        }
        return language;
    }
}
